@media only screen and (max-width: 768px) {
    .container {
      @include container;
    }
  
    header {
      @include header;
    }
  
    .footer {
      @include footer;
    }
  
    .footer-container {
      @include footer-container;
    }
  
    .column {
      @include column;
    }
  
    .imagelogo {
      @include imagelogo;
    }
  
    .project-name {
      @include project-name;
    }
  
    .footertext1,
    .footertext2,
    .footertext3 {
      @include footertext;
    }
  }
  
@import url('https://unpkg.com/css.gg@2.0.0/icons/css/menu.css');

// Variables
$color-primary: #55C2D8;
$color-secondary: #76cbdc;
$color-tertiary: #3096ab;
$color-text: #ffffff;
$color-text-secondary: #FFFFFFB2;
$color-text-gray: #666666;
$color-background: #464547;

// Container
.container {
  display: grid;
  grid-template-rows: auto 1fr auto;
  min-height: 100vh;
}

// Header
header {
  background-image: url("./CSS/background.png");
  background-repeat: no-repeat;
}

// Headline 1
.headline1 {
  font-family: 'Oswald';
  font-weight: 700;
  font-size: 48px;
  line-height: 64px;
  flex-direction: row;
  display: block;
  text-align: center;
}

// Second Headline
.secondheadline {
  display: flex;
  font-size: 24px;
  color: $color-text-secondary;
  text-align: center;
  justify-content: center;
  font-family: 'Source Sans Pro', sans-serif;
}

// Section Headline
.section-headline {
  text-align: center;
  font-family: 'Oswald';
  font-size: 48px;
  color: #464547;
}

// Menu
.menu {
  visibility: hidden;
}

.gg-menu {
  visibility: visible;
  color: $color-text;
  margin-left: 100px;
}

.navbar {
  visibility: hidden;
}

// Rotate Button
.rotate-button {
  width: 115px;
  height: 36px;
  border-radius: 20px;
  background-color: $color-primary;
  color: $color-text;
  font-size: 16px;
  font-weight: bold;
  border: none;
  cursor: pointer;
  font-family: 'Oswald', sans-serif;
  margin-left: 600px;
  margin-top: 46px;
  float: center;
  margin-bottom: -98px;
  margin-left: 170px;

  &:hover {
    background-color: $color-secondary;
  }

  &.rotate-animation {
    animation-name: rotate;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
  }
}

@keyframes rotate {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

// Project Text
.project-text {
  visibility: visible;
  line-height: 16px;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  margin-left: -170px;
  margin-right: 200px;
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 600;
  font-size: 20px;
}

// Headline Second Section
.headlineseconsection {
  text-align: center;
  font-size: 24px;
  color: $color-text-gray;
  font-family: 'Source Sans Pro', sans-serif;
  padding-bottom: 20px;
}

// Right Text
.right-text {
  size: 16px;
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  margin-right: 85px;
}

// Left Text
.left-text {
  size: 16px;
  font-family: 'Source Sans Pro';
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
  margin-left: 50px;
}

// Clear
.clear {
  clear: both;
}

// Section for Learn More
.sectionforlearnmore {
  background-image: url("./CSS/image3.png");
  background-size: cover;
  background-position: center;
  width: auto;
  height: auto;
  padding-bottom: 300px;
  margin-top: 170px;
}

// Learn More
.learn-more {
  font-size: 48px;
  line-height: 64px;
  font-weight: bold;
  color: $color-text;
  margin-bottom: 10px;
  text-align: center;
  font-family: 'Oswald', sans-serif;
  padding-top: 300px;
}

// Button
button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 150px;
  height: 150px;
  border-radius: 50%;
  background-color: $color-primary;
  color: $color-text;
  font-size: 40px;
  line-height: 100px;
  cursor: pointer;
  margin: 20px auto;
  animation: none;

  &:hover {
    background-color: $color-tertiary;
  }
}

// Heading Three
.headingthree {
  font-size: 24px;
  color: $color-text;
  margin-bottom: 10px;
  font-family: 'Source Sans Pro';
  text-align: center;
}

// Footer
.footer {
  flex-direction: column;
  height: 500px;
  background-color: $color-background;
}

// Footer Container
.footer-container {
  flex-direction: column;
  height: 200px;
}

// Column
.column {
  margin-bottom: 10px;
}

// Image Logo
.imagelogo {
  width: 20px;
  height: 20px;
  margin-left: 100px;
  padding-left: 70px;
}

// Project Name
.project-name {
  margin-right: 100px;
}

// Footer Text
.footertext1,
.footertext2,
.footertext3 {
  padding: 10px;
  margin-left: 20px;
  text-align: center;
}

// Responsive Styles
@media only screen and (max-width: 768px) {
  .container {
    @include container;
  }

  header {
    @include header;
  }

  .footer {
    @include footer;
  }

  .footer-container {
    @include footer-container;
  }

  .column {
    @include column;
  }

  .imagelogo {
    width: 20px;
    height: 20px;
    margin-left: 100px;
    padding-left: 70px;
  }

  .project-name {
    margin-right: 100px;
  }

  .footertext1,
  .footertext2,
  .footertext3 {
    padding: 10px;
    margin-left: 20px;
    text-align: center;
  }
}
